classification
Title: Add `make touch` to 2.7 Makefile
Type: enhancement Stage: resolved
Components: Build Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Arfrever, chris.jerdonek, ezio.melotti, ncoghlan, python-dev
Priority: normal Keywords: patch

Created on 2012-09-23 09:04 by chris.jerdonek, last changed 2013-03-11 16:42 by Arfrever. This issue is now closed.

Files
File name Uploaded Description Edit
issue16004.diff ezio.melotti, 2012-09-23 12:22
Messages (8)
msg171019 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-23 09:04
This issue is to add "make touch" to the 2.7 Makefile as suggested by Nick Coghlan in the following comment to issue 15964:

"We should be able to add the "make touch" target to the 2.7 Makefile without running afoul of the "no new features" rule."

(from http://bugs.python.org/issue15964#msg171001 )

This will make it easier to help people address certain build errors encountered when switching between 2.7 and 3.x branches.
msg171027 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-23 11:21
I'm not so sure it's worth adding it.
ISTM that this would be useful only to people that already encountered the problem described in #15964 and now that `make touch` is the solution.
All the others will have to google for a solution anyway, and there's no much difference in finding `make touch` or `touch Include/Python-ast.h Python/Python-ast.c`
msg171028 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-09-23 11:58
The idea is to make the solution consistent, regardless of which branch you have checked out (in 3.x, the list of files to touch is longer and "make touch" already exists)
msg171030 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-23 12:22
> in 3.x, the list of files to touch is longer

You mean that the attached patch is enough for 2.7?
In that case I guess it might be OK.
msg183462 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-04 15:05
Nick, is the attached patch ok?
msg183937 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2013-03-11 06:49
Yep, that should be fine for 2.7.

3.3+ adds more due to the importlib bootstrapping.
msg183939 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-03-11 07:15
New changeset da3f4774b939 by Ezio Melotti in branch '2.7':
#16004: Add `make touch`.
http://hg.python.org/cpython/rev/da3f4774b939
msg183973 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2013-03-11 16:42
"touch" target could be also added to 3.2 branch.
History
Date User Action Args
2013-03-11 16:42:21Arfreversetmessages: + msg183973
2013-03-11 07:15:55ezio.melottisetstatus: open -> closed
assignee: ezio.melotti
resolution: fixed
stage: patch review -> resolved
2013-03-11 07:15:28python-devsetnosy: + python-dev
messages: + msg183939
2013-03-11 06:49:29ncoghlansetmessages: + msg183937
2013-03-04 15:05:51ezio.melottisetmessages: + msg183462
2012-10-01 01:41:04ezio.melottisetstage: needs patch -> patch review
2012-09-23 18:44:49Arfreversetnosy: + Arfrever
2012-09-23 12:22:38ezio.melottisetfiles: + issue16004.diff
keywords: + patch
messages: + msg171030
2012-09-23 11:58:00ncoghlansetmessages: + msg171028
2012-09-23 11:21:10ezio.melottisetmessages: + msg171027
2012-09-23 09:12:45ezio.melottisetnosy: + ezio.melotti

type: enhancement
stage: needs patch
2012-09-23 09:04:35chris.jerdonekcreate